Skip to main content
POST
/
api
/
files
/
v1
/
filesets
/
{fileSetId}
/
access
Update FileSet Access Permissions
curl --request POST \
  --url https://{subdomain}.domo.com/api/files/v1/filesets/{fileSetId}/access \
  --header 'Content-Type: application/json' \
  --header 'X-DOMO-Developer-Token: <api-key>' \
  --data '
{
  "fileSetAccess": [
    {
      "entityId": 42,
      "entityType": "GROUP",
      "permission": "EDIT"
    }
  ]
}
'
{
  "fileSetId": "e49f188e-be98-451d-ba0f-ada1157bb656",
  "fileSetAccess": [
    {
      "entityId": 42,
      "entityType": "GROUP",
      "permission": "EDIT"
    },
    {
      "entityId": 27,
      "entityType": "USER",
      "permission": "OWNER"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://domoinc-openapi-sync-documents.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-DOMO-Developer-Token
string
header
required

Path Parameters

fileSetId
string
required

The ID of the FileSet for which to update access permissions.

Body

application/json

The request object containing the relevant access permissions to update.

Request object for updating access permissions to a file set.
Only the permissions that are explicitly set in the request will be updated.

fileSetAccess
object[]
required

The access permissions for the file set.

Response

Access permissions updated successfully

Response object containing the explicit access to a file set.

fileSetId
string

The associated file set id.

fileSetAccess
object[]

The access permissions for the file set.